#ifndef Test_H
#define Test_H

#include <iostream>

class Test {
 public :
  Test( bool verbose );

  bool print_assertEqual( std::string result, std::string expectation );
  bool do_assertEqual( std::string result, std::string expectation );
  bool assertEqual( std::string result, std::string expectation );

  bool print_assertNotEqual( std::string result, std::string expectation );
  bool do_assertNotEqual( std::string result, std::string expectation );
  bool assertNotEqual( std::string result, std::string expectation );

  bool print_assertInRange( int value, int min, int max );
  bool do_assertInRange( int value, int min, int max );
  bool assertInRange( int value, int min, int max );

  bool print_assertNotInRange( int value, int min, int max );
  bool do_assertNotInRange( int value, int min, int max );
  bool assertNotInRange( int value, int min, int max );

 private :
  bool verbose ;  
};

#endif
